name: hmg_patient_app
description: A new Flutter application.

version: 4.6.009+1

environment:
  #  sdk: ">=3.0.0 <3.13.0"
  sdk: ">=3.6.0 <4.0.0"

dependencies:
  flutter:
    sdk: flutter


  # Localizations
  flutter_localizations:
    sdk: flutter

  webview_flutter: ^4.8.0
  app_links: ^6.4.0
  http: ^1.4.0
  connectivity_plus: ^6.1.4
  async: ^2.8.1
  audio_wave: ^0.1.4
  provider: ^6.0.5

  #Dependency Injection
  get_it: ^8.0.3
  health: ^13.1.1
  fl_chart: ^1.0.0
  #  camera: ^0.11.2
  permission_handler: ^12.0.0+1
  flutter_html: ^3.0.0-beta.2
  flutter_widget_from_html: ^0.17.0
  # Pagnation
  pull_to_refresh: ^2.0.0
  local_auth: ^2.1.7
  localstorage: ^6.0.0
  maps_launcher: ^3.0.0+1
  url_launcher: ^6.3.1
  url_launcher_ios: ^6.3.2
  shared_preferences: ^2.5.3
#  fluttertoast: ^8.0.8
  fluttertoast: ^8.2.12

  flutter_progress_hud: ^2.0.2
  percent_indicator: ^4.2.3

  # Icons
  font_awesome_flutter: any
  cupertino_icons: ^1.0.0
  image_picker: ^1.1.2
  photo_view: any
  gif_view: ^1.0.3
  expandable: ^5.0.1
  flutter_charts: ^0.5.2
  google_maps_flutter: ^2.12.3
  #  huawei_map: ^6.11.2+304
  huawei_map:
    git:
      url: https://github.com/fleoparra/hms-flutter-plugin.git
      path: flutter-hms-map
  huawei_push:
    git:
      url: https://github.com/crasowas/hms-flutter-plugin.git
      path: flutter-hms-push
  #  huawei_push: ^6.12.0+303
  #  hijri_gregorian_calendar:
  #     path: /Users/aamir/StudioProjects/hijri_gregorian_calendar
  hijri_gregorian_calendar: ^0.0.4
  smooth_corner: ^1.1.1

  # Qr code Scanner
  location: ^8.0.1
  barcode_scan2: ^4.5.1
  flutter_rating_bar: ^4.0.1
  syncfusion_flutter_calendar: ^29.2.11+1

  # SVG Images
  flutter_svg: ^2.0.8
  manage_calendar_events: 2.0.3
  #  icalendar_plus: ^0.0.6
  flutter_inappwebview: ^6.1.5
  circular_countdown_timer: ^0.2.0
  just_audio: ^0.10.4
  hijri: ^3.0.0
  flutter_datetime_picker_plus: ^2.1.0
  carousel_pro_nullsafety: ^2.0.0
  flutter_local_notifications: any
  device_calendar:
    git: https://github.com/bardram/device_calendar
  geolocator: ^14.0.2
  geolocator_android: ^5.0.2
  geocoding: ^4.0.0
  jiffy: ^6.2.1

  #Flutter WebRTC
  screen_brightness: ^2.1.5
  map_launcher: ^3.0.1
  flutter_countdown_timer: ^4.1.0
  carousel_slider: ^5.0.0
  #Dependencies for video call implementation
  native_device_orientation: ^2.0.3
  #  wakelock: ^0.6.2
  wakelock_plus: ^1.3.2
  after_layout: ^1.1.0
  cached_network_image: ^3.4.1
  flutter_tts: ^4.2.3
  flutter_nfc_kit: ^3.6.0

  #geofencing: any
  speech_to_text: ^7.2.0
  in_app_update: ^4.2.2
  in_app_review: ^2.0.10
  badges: ^3.1.2
  youtube_player_flutter: ^9.1.0

  #  shimmer: ^3.0.0
  huawei_hmsavailability: ^6.11.0+301
  huawei_location: ^6.11.0+301
  share_plus: ^11.0.0
  auto_size_text: ^3.0.0
  equatable: ^2.0.3
  wave: ^0.2.0
  sms_otp_auto_verify: ^2.2.0
  google_api_availability: ^5.0.1
  open_filex: ^4.7.0
  path_provider: ^2.0.8
  amazon_payfort: ^1.1.4
  logger: ^2.0.2+1
  network_info_plus: any

  flutter_zoom_videosdk: 1.12.10
  dart_jsonwebtoken: ^3.2.0
  win32: ^5.5.4
  firebase_crashlytics: ^4.3.8
  firebase_messaging: ^15.2.8
  firebase_analytics: ^11.5.1
  cloudflare_turnstile: ^3.2.0
  device_info_plus: ^11.5.0
  lottie: ^3.3.1
  google_fonts: ^6.2.1

  google_maps_place_picker_mb_v2: ^1.0.1
  readmore: ^3.0.0
#  vital_sign_camera:
#   path: ./packages/vital_sign_camera

dependency_overrides:
  intl: ^0.20.2
  flutter_plugin_android_lifecycle: 2.0.27
  image_picker_android: 0.8.12+22
  video_player_android: 2.8.10

dev_dependencies:
  flutter_test:
    sdk: flutter
  build_runner: ^2.1.5


flutter:
  uses-material-design: true
  assets:
    - assets/
    - assets/images/
    - assets/images/map_markers/
    - assets/images/pharmacy/
    - assets/images/medical/
    - assets/images/new-design/
    - assets/images/login/
    - assets/images/SmartWatches/
    - assets/images/DQ/
    - assets/images/BMI/
    - assets/json/
    - assets/sounds/
    - assets/images/svg/
    - assets/tracker/
    - assets/images/AlHabibMedicalService/
    - assets/images/AlHabibMedicalService/health_calculator/
    - assets/images/pharmacy_module/
    - assets/images/gif/
    - assets/images/pharmacy_module/payment/
    - assets/images/pharmacy_module/lakum/
    - assets/images/nfc/
    - assets/payment_options/

    - assets/images/new/
    - assets/images/new/zoom/
    - assets/images/new/inpatient/
    - assets/images/new/mass/
    - assets/images/new/bottom_nav/
    - assets/images/new/services/
    - assets/images/new/appointment-rating/
    - assets/images/new/payment/
    - assets/images/new/body_parts/
    - assets/images/new/body_parts/male/
    - assets/images/new/body_parts/female/
    - assets/animations/lottie/

  fonts:
    - family: WorkSans
      fonts:
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Light_0.eot
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Light_0.otf
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Light_0.ttf
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Light_0.woff
          weight: 300
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Regular.otf
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Regular.ttf
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Regular.woff
          weight: 400
        - asset: assets/fonts/en/WorkSans-Bold/WorkSans-Bold.eot
        - asset: assets/fonts/en/WorkSans-Bold/WorkSans-Bold.otf
        - asset: assets/fonts/en/WorkSans-Bold/WorkSans-Bold.ttf
        - asset: assets/fonts/en/WorkSans-Bold/WorkSans-Bold.woff
          weight: 700

    - family: Cairo
      fonts:
        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.eot
        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.otf
        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.ttf
        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.woff
          weight: 300

        #        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.eot
        #        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.otf
        - asset: assets/fonts/ar/Cairo-Regular/Cairo-Regular.ttf
          #        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.woff
          weight: 400

        - asset: assets/fonts/ar/Cairo-Bold/Cairo-Bold.eot
        - asset: assets/fonts/ar/Cairo-Bold/Cairo-Bold.otf
        - asset: assets/fonts/ar/Cairo-Bold/Cairo-Bold.ttf
        - asset: assets/fonts/ar/Cairo-Bold/Cairo-Bold.woff
          weight: 700

    - family: DQIcons
      fonts:
        - asset: assets/app_icons/fonts/DQIcons.ttf

    - family: SaudiRiyal
      fonts:
        #        - asset: assets/fonts/saudi_riyal.ttf
        - asset: assets/fonts/sar-Regular.otf

    - family: Poppins
      fonts:
        - asset: assets/fonts/poppins/Poppins-Black.ttf
          weight: 900
        - asset: assets/fonts/poppins/Poppins-ExtraBold.ttf
          weight: 800
        - asset: assets/fonts/poppins/Poppins-Bold.ttf
          weight: 700
        - asset: assets/fonts/poppins/Poppins-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/poppins/Poppins-Medium.ttf
          weight: 500
        - asset: assets/fonts/poppins/Poppins-Regular.ttf
          weight: 400
        - asset: assets/fonts/poppins/Poppins-Light.ttf
          weight: 300
        - asset: assets/fonts/poppins/Poppins-ExtraLight.ttf
          weight: 200
        - asset: assets/fonts/poppins/Poppins-Thin.ttf
          weight: 100


    - family: GESSTwo
      fonts:
        - asset: assets/fonts/ge_ss_two/GE_SS_Two_Bold.otf
          weight: 600
        - asset: assets/fonts/ge_ss_two/GE_SS_Two_Medium.otf
          weight: 500
        - asset: assets/fonts/ge_ss_two/GE_SS_Two_Light.otf
          weight: 400
